import React, { CSSProperties, MouseEvent } from 'react';
import { Elements, NodeTypesType, EdgeTypesType, OnLoadFunc, Node, Edge, Connection, ConnectionLineType, FlowTransform, OnConnectStartFunc, OnConnectStopFunc } from '../../types';
export interface GraphViewProps {
    elements: Elements;
    onElementClick?: (evt: MouseEvent, element: Node | Edge) => void;
    onElementsRemove?: (elements: Elements) => void;
    onNodeMouseEnter?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseMove?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseLeave?: (evt: MouseEvent, node: Node) => void;
    onNodeContextMenu?: (evt: MouseEvent, node: Node) => void;
    onNodeDragStart?: (evt: MouseEvent, node: Node) => void;
    onNodeDragStop?: (evt: MouseEvent, node: Node) => void;
    onConnect?: (connection: Connection | Edge) => void;
    onConnectStart?: OnConnectStartFunc;
    onConnectStop?: OnConnectStopFunc;
    onLoad?: OnLoadFunc;
    onMove?: (flowTransform?: FlowTransform) => void;
    onMoveStart?: (flowTransform?: FlowTransform) => void;
    onMoveEnd?: (flowTransform?: FlowTransform) => void;
    onPaneClick?: (evt: MouseEvent) => void;
    onPaneContextMenu?: (evt: MouseEvent) => void;
    selectionKeyCode: number;
    nodeTypes: NodeTypesType;
    edgeTypes: EdgeTypesType;
    connectionLineType: ConnectionLineType;
    connectionLineStyle?: CSSProperties;
    deleteKeyCode: number;
    snapToGrid: boolean;
    snapGrid: [number, number];
    onlyRenderVisibleNodes: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    minZoom: number;
    maxZoom: number;
    defaultZoom: number;
    defaultPosition: [number, number];
    arrowHeadColor: string;
    markerEndId?: string;
    zoomOnScroll: boolean;
    zoomOnDoubleClick: boolean;
    paneMoveable: boolean;
}
declare const _default: React.MemoExoticComponent<{
    ({ nodeTypes, edgeTypes, onMove, onMoveStart, onMoveEnd, onLoad, onElementClick, onNodeMouseEnter, onNodeMouseMove, onNodeMouseLeave, onNodeContextMenu, onNodeDragStart, onNodeDragStop, connectionLineType, connectionLineStyle, selectionKeyCode, onElementsRemove, deleteKeyCode, elements, onConnect, onConnectStart, onConnectStop, snapToGrid, snapGrid, onlyRenderVisibleNodes, nodesDraggable, nodesConnectable, elementsSelectable, selectNodesOnDrag, minZoom, maxZoom, defaultZoom, defaultPosition, arrowHeadColor, markerEndId, zoomOnScroll, zoomOnDoubleClick, paneMoveable, onPaneClick, onPaneContextMenu, }: GraphViewProps): JSX.Element;
    displayName: string;
}>;
export default _default;
